List Email Templates
List email templates for the current lab with filtering by category, search, and pagination. Supports including inactive templates.
List email templates for the current lab with filtering by category, search, and pagination. Supports including inactive templates.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
category?string
Value in
- "general"
- "order"
- "invoice"
- "shipment"
- "notification"
- "marketing"
includeInactive?boolean||
search?string
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
50Response Body
application/json
curl -X GET "https://example.com/email-templates"{ "templates": [ { "id": "string", "labId": "string", "name": "string", "subject": "string", "description": "string", "designJson": { "body": { "rows": [ null ], "property1": null, "property2": null }, "counters": { "property1": 0, "property2": 0 }, "property1": null, "property2": null }, "htmlContent": "string", "category": "string", "sortOrder": 0, "isActive": true, "createdAt": "string", "updatedAt": "string" } ], "page": 0, "limit": 0}Empty
Empty